明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 163|回复: 4

两点之间等分多个圆

[复制链接]
发表于 2019-5-9 13:42 | 显示全部楼层 |阅读模式
本帖最后由 200853006 于 2019-5-9 13:53 编辑

求助各位大佬,帮我写个小代码,

非常感谢了。



本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
 楼主| 发表于 2019-5-9 13:53 | 显示全部楼层
我想设置悬赏,第一次发帖,不知道在哪里,
 楼主| 发表于 2019-5-9 16:09 | 显示全部楼层
(defun c:tt123 ()
  (setvar "CMDECHO" 0)
  (setq  p1 (getpoint "\n第一点:")
  p2 (getpoint p1 "\n第二点:")
  )
;;;两点距离
  (princ
    (strcat "\n****两点距离:" (rtos (distance p1 p2) 2 3))
  )
;;;等分数量:
  (setq n (getint "\n等分数量:"))
;;;等分子函数,根据两点点及等分数量得出等分点列表
  (defun tt-df (p1 p2 n)
    (if  (> (1- n) 0)
      (cons (polar p1 (angle p1 p2) (/ (distance p1 p2) n 1.0))
      (tt-df (polar p1 (angle p1 p2) (/ (distance p1 p2) n 1.0))
       p2
       (1- n)
      )
      )
    )
  )
;;;等分点列表
  (setq lst (tt-df p1 p2 n))
;;; 起点、终点、等分点处画园
  (mapcar '(lambda (x) (vl-cmdf "CIRCLE" x 2.15))
    (append (list p1) lst (list p2))
  )
  (prin1)
)
大佬们,OB孔怎么设置啊
发表于 2019-5-10 23:20 | 显示全部楼层
换个想法!做成块去分!
 楼主| 发表于 2019-5-12 01:30 | 显示全部楼层
东升铮 发表于 2019-5-10 23:20
换个想法!做成块去分!

谢谢,已解决了。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-8-19 22:11 , Processed in 0.189035 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表